Show / Hide Table of Contents

# Class CertificateSelectionEventArgs

An argument passed on to user for client certificate selection during mutual SSL authentication

##### Inheritance

Object
EventArgs
CertificateSelectionEventArgs

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class CertificateSelectionEventArgs : EventArgs

### Properties

#### AcceptableIssuers

Acceptable issuers.

##### Declaration

    public string[] AcceptableIssuers { get; }

##### Property Value

Type | Description
--- | ---
String[] |

#### ClientCertificate

Client Certificate.

##### Declaration

    public X509Certificate ClientCertificate { get; set; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

#### LocalCertificates

Local certificates.

##### Declaration

    public X509CertificateCollection LocalCertificates { get; }

##### Property Value

Type | Description
--- | ---
X509CertificateCollection |

#### RemoteCertificate

Remote certificate.

##### Declaration

    public X509Certificate RemoteCertificate { get; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

#### Sender

Sender object.

##### Declaration

    public object Sender { get; }

##### Property Value

Type | Description
--- | ---
Object |

#### TargetHost

Target host.

##### Declaration

    public string TargetHost { get; }

##### Property Value

Type | Description
--- | ---
String |